// Parent header theme css reset
.header {
	.site-branding {
		margin: 0!important;

		> * {
			margin: 0;
		}
	}
}

// Site Branding
a.site-branding__logo-link {
	width: auto;
	height: auto;
	// height: 55px;

	img {
		height: auto;
		box-shadow: none;
		border: none;
		padding: 0;
		
	}
}

// Header
header#header {
	background-color: $darkgrey;
	padding: 2px 0;

	.container {
		@media (min-width: 1281px) {
			max-width: 1148px;
		}
	}

	a:not([href*="/admin/"]) {
		color: $white;
		text-decoration: none;

		>span {
			padding: 0;
			margin: 0;
			border: none;
		}

		&.dropdown-toggle {
			&::after {
				margin-left: 0.5em;
				vertical-align: middle;
				content: "";
				border-top: 0.5em solid;
				border-right: 0.5em solid transparent;
				border-bottom: 0;
				border-left: 0.5em solid transparent;
			}

			&[aria-expanded="true"]::after {
				margin-left: 0.5em;
				vertical-align: middle;
				content: "";
				border-top: 0;
				border-right: 0.5em solid transparent;
				border-bottom: 0.5em solid;
				border-left: 0.5em solid transparent;
			}

			@include mobile-only {
				width: 100%;
				text-align: left;
			}
		}
	}

	.block,
	.menu--main.block {
		margin: 0;
	}

	.menu--account.block {
		@include mobile-tablet {
			order: 1;
		}

		@include mobile-only {
			display: none;
		}
	}

	.block-views-exposed-filter-blocksolr-search-content-page-1,
	.search-block-form__form {
		margin: 0;
		padding: 0;

		@media (min-width: 1025px) and (max-width: 1250px) {
			width: 200px;
		}

		div[id*="edit-actions"] {
			width: auto;
			margin: 0!important;
		}
	}
	div[id*="block-leaf-base-sitebranding"],
	div[id*="block-leaf-base-branding"] {
		justify-self: start;
		margin-right: auto;
		@include mobile-tablet {
			flex: 0 1 100%;
			.block-branding__content.site-branding {
				justify-content: center;
			}
		}
		.block-branding__content.site-branding {
		  img {
			  height: 65px;

				&[src*="/cwrc/cwrc-logo.png"] {
					transform: scale(1.3);
				}
			}
		}
	}
	.block-views-exposed-filter-blocksolr-search-content-page-1 {
		margin-left: 25px;
	}
}

// Mobile navigation
.collapsible-navigation {
	display: none;
	background: $white;
	padding: 20px;

	.region-navigation-collapsible {

		>nav,
		>div {
			display: none;
		}
	}

	@include mobile-tablet {
		&.open {
			display: block;
			box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
			position: absolute;
			z-index: 2;
			width: 100%;
			#block-mainnavigation {
				margin: 0 -10px;
			}
			a {
				span {
					color: $darkgrey;
				}
			}
		}

		&.search {
			background: $darkgrey;
			padding-top: 0;

			.block-views-exposed-filter-blocksolr-search-content-page-1 {
				display: block;
				width: 100%;
			}
		}

		&.main .menu--main.block {
			display: block;
			width: 100%;
		}

		&.account .menu--account.block,
		&.account .language-switcher-language-url {
			display: block !important;
			width: 100%;
		}
	}

	a {
		@extend .button-text;
		color: $darkgrey;
	}
}

// Navigation Region
section.region-navigation {
	align-items: center;
	min-height: 60px;

	@include xs-screen {
		justify-content: flex-end;
	}

	@include mobile-tablet {
		flex-flow: nowrap;
	}

	@include mobile-only {
		margin: 0;

		.block.language-switcher-language-url {
			display: none;
		}
	}

	button.navbar-toggler {
		display: none;
		background: transparent;
		border: none;

		@include mobile-tablet {
			display: block;
			margin-right: 100px;
			padding-left: 0;
		}
		@include mobile-sm-only {
			margin-right: 0;
		}

		span {
			background: url(../images/bars-solid.svg) no-repeat center center;
		}
	}

	.mobile-right-icons {
		display: none;

		@include mobile-tablet {
			display: flex;
			align-items: center;
			justify-content: space-between;
		}

		@include tablet-only {
			margin-right: 15px;
		}
		@include mobile-sm-only {
			margin-right: 12px;
		}
	}

	span {
		&#search-icon {
			display: block;
			width: 20px;
			height: 20px;
			background: url(../images/search-solid-white.svg) no-repeat center center;
			background-size: contain;
			cursor: pointer;

			@include mobile-only {
				margin-right: 15px;
			}
		}

		&.close-icon {
			display: block;
			width: 20px;
			height: 20px;
			background: url(../images/close-icon.svg) no-repeat center center;
			background-size: contain;
			cursor: pointer;
		}

		&#user-icon {
			display: block;
			width: 20px;
			height: 20px;
			background: url(../images/user-icon.svg) no-repeat center center;
			background-size: contain;
			cursor: pointer;

			@include tablet-only {
				display: none;
			}
		}
	}

	@include mobile-tablet {

		.menu--main.block,
		.block-views-exposed-filter-blocksolr-search-content-page-1 {
			display: none;
		}
	}
}

// Main Menu
ul[id*="block-leaf-base-main-menu"].navbar-nav,
ul[id*="block-mainnavigation"].navbar-nav {
	flex-direction: row;

	@include mobile-tablet {
		flex-direction: column;

		li {
			width: 100%;
		}
	}

	a.nav-link {
		@extend .button-text;
		padding: 0 20px;
		text-decoration: none;

		@include mobile-tablet {
			color: $darkgrey;
			text-align: left;
			padding: 12px 20px;
			width: 100%;
		}
	}
}

// Search bar
header#header .block-views-exposed-filter-blocksolr-search-content-page-1 {
	margin: 0;
	max-width: 270px;
	padding: 0 5px;
	@include mobile-tablet {
		margin-left: auto;
		margin-top: 7px;
	}
	form {
		margin: 0;
	}
	.d-flex {
		flex-wrap: nowrap!important;
	}
	.form-group {
		margin: 0!important;
	}

	input[name="text"] {
		height: 40px;
		border-top-left-radius: 6px;
    	border-bottom-left-radius: 6px;
   		color: $darkgrey;
		border: none;

		&::placeholder {
			font-family: $mainFont;
				font-style: normal;
				font-weight: 500;
				color: $darkgray;
				font-size: 16px;
				line-height: 19px;
		}
	}

	input.form-submit,
	button.form-submit {
		font-size: 0;
		background: $white url(../images/search-solid.svg) no-repeat center center;
		border: none;
		box-shadow: none;
		height: 40px;
		border-top-right-radius: 6px;
		border-bottom-right-radius: 6px;
		margin-left: -5px;
		&:focus, &:active {
			outline: none;
		}
	}
}

// User Menu

header#header{
	.block.language-switcher-language-url {
		margin: 0 45px;
		@include mobile-tablet {
			order: 1;
			margin-right: 15px;
			margin-left: 0;
		}
	}
	#block-leaf-base-useraccountmenu ul.navbar-nav,
	.block.language-switcher-language-url {
		@include mobile-only {
			nav.links:not(.show) {
				margin-bottom: 15px;
			}
		}
		.nav-link {
			&:hover {
				background-color: $darkgray-80;
			}
			&.is-active {
				a {
					font-weight: 700;
				}
			}
		}
		.nav-item,
		.nav.links {
			a {
				@extend .button-text;
				text-decoration: none;
				display: block;
				white-space: nowrap;
				@include mobile-only {
					color: $darkgrey;
					text-align: left;
				}
			}
			.dropdown-menu {
				a {
					color: $darkgrey !important;
					&.is-active {
						color: $darkgrey !important;
					}
				}
			}
		}

		.dropdown-menu {
			margin-top: 15px;
			background-color: $white;
			min-width: 80px;

			@include mobile-tablet {
				right: 0;
				left: auto !important;
			}

			@include mobile-only {
				margin-top: 0 !important;
				border: none;
				position: relative !important;
				transform: none !important;
			}

			ul {
				list-style: none;
				padding-left: 20px;
				padding-right: 20px;
			}

			a {
				color: $darkgrey;
				text-align: left;
				padding: 8px 0;
				white-space: nowrap;
			}
		}
	}
	
	#block-leaf-base-useraccountmenu {
		@include mobile-tablet {
			margin-right: 12px;
		}
	}
}

